Bug 1028617 - Disk encryption fails - Entering emergency mode & dracut shell
Disk encryption fails - Entering emergency mode & dracut shell
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 16:25 EST by IBM Bug Proxy
Modified: 2013-11-14 01:00 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 01:00:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
encrypted root manual partitioning screen (81.01 KB, image/png)
2013-11-08 16:25 EST, IBM Bug Proxy
no flags Details
Serial console logs from affected machine (16.22 KB, text/plain)
2013-11-08 16:25 EST, IBM Bug Proxy
no flags Details
Some last lines from Journalctl command output (2.53 KB, text/plain)
2013-11-08 16:25 EST, IBM Bug Proxy
no flags Details
rdsosreport.txt as mentioned in IBM comment # 6 (36.78 KB, text/plain)
2013-11-08 16:26 EST, IBM Bug Proxy
no flags Details
anaconda.storage.log file from installed system (464.02 KB, text/plain)
2013-11-13 08:30 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 99274 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-11-08 16:25:08 EST
== Comment: #0 - Shubham Goyal <shubgoya@in.ibm.com> - 2013-10-31 14:15:28 ==
Description of problem: I did a fresh installation with /root as encrypted. To check my disk layout please check attachment #1 [details] from manual partitioning screen. After providing all details & encryption password I continued with installation. Post installation my system went to emergency mode & dracut shell.

It seems that disk encryption is not working.

How reproducible: Always

Version-Release number of selected component (if applicable):
3.11.0-300.fc20.ppc64p7  :  junoiocplus2-lp4 

Steps to Reproduce:

1) Perform a fresh install with / as encrypted partition.
2) Post install you will get this error.

Actual results: System went to emergency mode & dracut shell

Expected results: System should be installed properly & after providing encrypted password system should boot

Additional info: Attaching snapshot of error & all relevant logs

== Comment: #10 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2013-11-08 04:03:39 ==
The installation is successfully, if the LVM is not encrypted.
Comment 1 IBM Bug Proxy 2013-11-08 16:25:26 EST
Created attachment 821797 [details]
encrypted root manual partitioning screen
Comment 2 IBM Bug Proxy 2013-11-08 16:25:40 EST
Created attachment 821798 [details]
Serial console logs from affected machine
Comment 3 IBM Bug Proxy 2013-11-08 16:25:53 EST
Created attachment 821799 [details]
Some last lines from Journalctl command output
Comment 4 IBM Bug Proxy 2013-11-08 16:26:06 EST
Created attachment 821800 [details]
rdsosreport.txt as mentioned in IBM comment # 6
Comment 5 Vratislav Podzimek 2013-11-12 08:28:20 EST
Could you please provide the storage.log file? (either under /tmp/ during the installation process, or /var/log/anaconda on the installed system)
Comment 6 IBM Bug Proxy 2013-11-13 08:30:18 EST
Created attachment 823434 [details]
anaconda.storage.log file from installed system


------- Comment on attachment From shubgoya@in.ibm.com 2013-11-13 08:07 EDT-------


Am attaching "anaconda.storage.log" file from installed system. Although this bug is bit inconsistent. I can confirm one scenario where its happening for me in release TC6.0. After providing incorrect password twice for the encrypted root, my system is dropping to dracut shell. Am sure that it was dropping to dracut shell even after providing a correct password earlier in Alpha drop.
Comment 7 Vratislav Podzimek 2013-11-13 09:40:05 EST
Could you please retest this with F20-Beta? There has been some issues with console keymap loading before disk unencryption that may cause issues you describe. Thanks!
Comment 8 IBM Bug Proxy 2013-11-13 15:11:08 EST
------- Comment From shubgoya@in.ibm.com 2013-11-13 20:07 EDT-------
I tried with F20-Beta & now am able to reproduce this issue only when am entering wrong LUKS password 3 times. Below are the error logs:

[  130.615075] bio: create slab <bio-0> at 0
[FAILED] Failed to start Cryptography Setup for luks-37cb82f3...6-dad1dbc71397.
See 'systemctl status systemd-cryptsetup@luks\x2d37cb82f3\x...ice' for details.
[DEPEND] Dependency failed for Encrypted Volumes.
[DEPEND] Dependency failed for Initrd Default Target.
[  130.862211] systemd[1]: Starting Emergency Shell...
[  130.864943] systemd[1]: Stopped dracut initqueue hook.
[  130.865236] systemd[1]: Stopped Forward Password Requests to Plymouth.
[  130.865357] systemd[1]: Stopping Forward Password Requests to Plymouth Directory Watch.
[  130.865460] systemd[1]: Stopped Forward Password Requests to Plymouth Directory Watch.
[  130.865490] systemd[1]: Stopping Show Plymouth Boot Screen...
[  130.865580] systemd[1]: Stopped Show Plymouth Boot Screen.
[  130.865632] systemd[1]: Stopping udev Coldplug all Devices...
[  130.865658] systemd[1]: Stopped udev Coldplug all Devices.
[  130.865868] systemd[1]: Starting Journal Service...
[  130.867798] systemd[1]: Stopped udev Kernel Device Manager.
[  130.867874] systemd[1]: Stopping Create static device nodes in /dev...
[  130.867901] systemd[1]: Stopped Create static device nodes in /dev.
[  130.867968] systemd[1]: Stopping Create list of required static device nodes for the current kernel...
[  130.867996] systemd[1]: Stopped Create list of required static device nodes for the current kernel.
[  130.868056] systemd[1]: Stopping udev Kernel Socket.
[  130.868083] systemd[1]: Closed udev Kernel Socket.
[  130.868113] systemd[1]: Stopping udev Control Socket.
[  130.868146] systemd[1]: Closed udev Control Socket.
[  130.871400] systemd-journald[444]: Received SIGTERM
[  130.872792] systemd[1]: Starting Journal Service...
[  130.873466] systemd[1]: Started Journal Service.
[  130.879654] systemd-journald[2421]: Vacuuming done, freed 0 bytes
Warning: /dev/mapper/luks-37cb82f3-95f6-4a7c-8406-dad1dbc71397 does not exist
Warning: /dev/mapper/luks-37cb82f3-95f6-4a7c-8406-dad1dbc71397 does not exist
Warning: /dev/mapper/luks-37cb82f3-95f6-4a7c-8406-dad1dbc71397 does not exist

Generating "/run/initramfs/rdsosreport.txt"

Entering emergency mode. Exit the shell to continue.
Type "journalctl" to view system logs.
You might want to save "/run/initramfs/rdsosreport.txt" to a USB stick or /boot
after mounting them and attach it to a bug report.
Comment 9 Vratislav Podzimek 2013-11-14 01:00:38 EST
(In reply to IBM Bug Proxy from comment #8)
> ------- Comment From shubgoya@in.ibm.com 2013-11-13 20:07 EDT-------
> I tried with F20-Beta & now am able to reproduce this issue only when am
> entering wrong LUKS password 3 times. Below are the error logs:
> 
> [  130.615075] bio: create slab <bio-0> at 0
> [FAILED] Failed to start Cryptography Setup for
> luks-37cb82f3...6-dad1dbc71397.
> See 'systemctl status systemd-cryptsetup@luks\x2d37cb82f3\x...ice' for
> details.
> [DEPEND] Dependency failed for Encrypted Volumes.
> [DEPEND] Dependency failed for Initrd Default Target.
> [  130.862211] systemd[1]: Starting Emergency Shell...
> [  130.864943] systemd[1]: Stopped dracut initqueue hook.
> [  130.865236] systemd[1]: Stopped Forward Password Requests to Plymouth.
> [  130.865357] systemd[1]: Stopping Forward Password Requests to Plymouth
> Directory Watch.
> [  130.865460] systemd[1]: Stopped Forward Password Requests to Plymouth
> Directory Watch.
> [  130.865490] systemd[1]: Stopping Show Plymouth Boot Screen...
> [  130.865580] systemd[1]: Stopped Show Plymouth Boot Screen.
> [  130.865632] systemd[1]: Stopping udev Coldplug all Devices...
> [  130.865658] systemd[1]: Stopped udev Coldplug all Devices.
> [  130.865868] systemd[1]: Starting Journal Service...
> [  130.867798] systemd[1]: Stopped udev Kernel Device Manager.
> [  130.867874] systemd[1]: Stopping Create static device nodes in /dev...
> [  130.867901] systemd[1]: Stopped Create static device nodes in /dev.
> [  130.867968] systemd[1]: Stopping Create list of required static device
> nodes for the current kernel...
> [  130.867996] systemd[1]: Stopped Create list of required static device
> nodes for the current kernel.
> [  130.868056] systemd[1]: Stopping udev Kernel Socket.
> [  130.868083] systemd[1]: Closed udev Kernel Socket.
> [  130.868113] systemd[1]: Stopping udev Control Socket.
> [  130.868146] systemd[1]: Closed udev Control Socket.
> [  130.871400] systemd-journald[444]: Received SIGTERM
> [  130.872792] systemd[1]: Starting Journal Service...
> [  130.873466] systemd[1]: Started Journal Service.
> [  130.879654] systemd-journald[2421]: Vacuuming done, freed 0 bytes
> Warning: /dev/mapper/luks-37cb82f3-95f6-4a7c-8406-dad1dbc71397 does not exist
> Warning: /dev/mapper/luks-37cb82f3-95f6-4a7c-8406-dad1dbc71397 does not exist
> Warning: /dev/mapper/luks-37cb82f3-95f6-4a7c-8406-dad1dbc71397 does not exist
> 
> Generating "/run/initramfs/rdsosreport.txt"
> 
> Entering emergency mode. Exit the shell to continue.
> Type "journalctl" to view system logs.
> You might want to save "/run/initramfs/rdsosreport.txt" to a USB stick or
> /boot
> after mounting them and attach it to a bug report.

That's an expected behaviour. No additional info needed, I'm closing this bug. If you think such behaviour is wrong, please reopen this bug and reassing it to the 'dracut' component.

Note You need to log in before you can comment on or make changes to this bug.